# Interface JMeterEngine

All Known Implementing Classes:
  `ClientJMeterEngine, StandardJMeterEngine`

public interface JMeterEngine
This interface is implemented by classes that can run JMeter tests.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(HashTree testPlan)`
`void`
`exit()`
`boolean`
`isActive()`
`void`
`reset()`
`void`
`runTest()`
`void`
`setProperties(Properties p)`
`void`
`stopTest(boolean now)`

## Method Details

### configure

void configure(HashTree testPlan)

### runTest

void runTest() throws JMeterEngineException

Throws:
  `JMeterEngineException`

### stopTest

void stopTest(boolean now)

### reset

void reset()

### setProperties

void setProperties(Properties p)

### exit

void exit()

### isActive

boolean isActive()